<?php
/**
 * @package Wapple_Architect
 * @subpackage WAPL Theme
 */
include_once('functions.php');
$waplString = get_wapl_header();
$wapl = new WordPressWapl;

// Posts per page
$posts_per_page = get_option('posts_per_page');
$option_posts_per_page = get_option('architect_home_posts_per_page');
if($option_posts_per_page)
{
	$posts_per_page = $option_posts_per_page;
}

global $wp_query;
query_posts(
	array_merge(
		array('showposts' => $posts_per_page),
		$wp_query->query
	)
);

if(have_posts())
{
	if(isset($posts[0]))$post = $posts[0];
	if(is_category())
	{
		$text = 'Archive for the &#8216;'.single_cat_title('', false).'&#8217; Category';
	} else if(is_tag())
	{
		$text = 'Posts Tagged &#8216;'.single_tag_title('', false).'&#8217;';
	} else if(is_day())
	{
		$text = 'Archive for '.get_the_time('F jS, Y');
	} else if(is_month())
	{
		$text = 'Archive for '.get_the_time('F, Y');
	} else if(is_year())
	{
		$text = 'Architect for '.get_the_time('Y');
	} else if(is_author())
	{
		$text = 'Author Archive';
	} else if(isset($_GET['paged']) && !empty($_GET['paged']))
	{
		$text = 'Blog Archives';
	} else
	{
		$text = '';
	}
	$waplString .= $wapl->chunk('words', array('class' => 'entry_row pagetitle', 'display_as' => 'h2', 'quick_text' => $text));
	
	// display navigation
	$navString = '<row class="navigation">';
	$doEmptyCell = true;
	
	if(get_option('architect_single_showhome'))
	{
		$doEmpty = false;
		$navString .= $wapl->link(array('row' => false, 'cellClass' => 'navHome', 'url' => get_option('home'), 'label' => 'home'));
	}
	
	// Older entries
	if(function_exists('get_next_posts_link'))
	{
		if(get_next_posts_link())
		{
			$doEmptyCell = false;
			$navString .= $wapl->link(array('row' => false, 'cellClass' => 'older', 'url' => next_posts(0, false), 'label' => 'Older Entries'));
		}
	} else if(function_exists('get_next_posts_page_link'))
	{
		$doEmptyCell = false;
		$navString .= $wapl->link(array('row' => false, 'cellClass' => 'newer', 'url' => get_next_posts_page_link($max_page), 'label' => 'Older Entries'));
	}

	// Newer entries
	if(function_exists('get_previous_posts_link'))
	{
		if(get_previous_posts_link())
		{
			$doEmptyCell = false;
			$navString .= $wapl->link(array('row' => false, 'url' => previous_posts(0, false), 'label' => 'Newer Entries'));
		}
	} else if(function_exists('get_previous_posts_page_link'))
	{
		$doEmptyCell = false;
		$navString .= $wapl->link(array('row' => false, 'url' => get_previous_posts_page_link(), 'label' => 'Newer Entries'));
	}

	if($doEmptyCell)
	{
		$navString .= '<cell></cell>';
	}
	
	$navString .= '</row>';

	$waplString .= $navString;
	
	while(have_posts())
	{
		the_post();
		
		$waplString .= $wapl->link(array('rowClass' => 'entry_row h2', 'label' => get_the_title(), 'url' => apply_filters('the_permalink', get_permalink())));
		$waplString .= $wapl->chunk('words', array('class' => 'post-date', 'quick_text' => apply_filters('the_time', get_the_time('F jS, Y'), 'F jS, Y')));
	}

	// Navigation at the bottom as well as the top
	$waplString .= $navString;
	
} else
{
	if ( is_category() ) 
	{ 
		// If this is a category archive
		$waplString .= $wapl->chunk('words', array('display_as' => 'h2', 'quick_text' => 'Sorry, but there aren\'t any posts in the '.single_cat_title('',false).' category yet.'));
	} else if ( is_date() ) 
	{ 
		// If this is a date archive
		$waplString .= $wapl->chunk('words', array('display_as' => 'h2', 'quick_text' => 'Sorry, but there aren\'t any posts with this date.'));
	} else if ( is_author() ) 
	{ 
		// If this is a category archive
		$userdata = get_userdatabylogin(get_query_var('author_name'));
		$waplString .= $wapl->chunk('words', array('display_as' => 'h2', 'quick_text' => 'Sorry, but there aren\'t any posts by '.$userdata->display_name.' yet.'));
	} else 
	{
		$waplString .= $wapl->chunk('words', array('display_as' => 'h2', 'quick_text' => 'No posts found'));
	}
}
$waplString .= get_wapl_footer();
process_wapl($waplString);
?>