<?php
/**
 * @package Wapple_Architect
 * @subpackage WAPL Theme
 */
include_once('functions.php');
$waplString = get_wapl_header();
$wapl = new WordPressWapl;

if(have_posts())
{
	$waplString .= $wapl->chunk('words', array('class' => 'entry_row', 'display_as' => 'h2', 'quick_text' => 'Search Results'));

	// display navigation
	$navString = '<row class="navigation">';
	$doEmptyCell = true;
	
	if(get_option('architect_single_showhome'))
	{
		$doEmpty = false;
		$navString .= $wapl->link(array('row' => false, 'cellClass' => 'navHome', 'url' => get_option('home'), 'label' => 'home'));
	}
	
	// Older entries
	if(function_exists('get_next_posts_link'))
	{
		if(get_next_posts_link())
		{
			$doEmptyCell = false;
			$navString .= $wapl->link(array('row' => false, 'cellClass' => 'older', 'url' => next_posts(0, false), 'label' => 'Older Entries'));
		}
	} else if(function_exists('get_next_posts_page_link'))
	{
		$doEmptyCell = false;
		$navString .= $wapl->link(array('row' => false, 'url' => get_next_posts_page_link($max_page), 'label' => 'Older Entries'));
	}

	// Newer entries
	if(function_exists('get_previous_posts_link'))
	{
		if(get_previous_posts_link())
		{
			$doEmptyCell = false;
			$navString .= $wapl->link(array('row' => false, 'cellClass' => 'newer', 'url' => previous_posts(0, false), 'label' => 'Newer Entries'));
		}
	} else if(function_exists('get_previous_posts_page_link'))
	{
		$doEmptyCell = false;
		$navString .= $wapl->link(array('row' => false, 'url' => get_previous_posts_page_link(), 'label' => 'Newer Entries'));
	}

	if($doEmptyCell)
	{
		$navString .= '<cell></cell>';
	}
	
	$navString .= '</row>';
	
	$waplString .= $navString;
	
	while(have_posts())
	{
		the_post();
		
		$waplString .= $wapl->link(array('rowClass' => 'entry_row h2', 'label' => get_the_title(), 'url' => apply_filters('the_permalink', get_permalink())));
		
		// Show the author
		if(get_option('architect_showauthor'))
		{
			$authorUrl = get_author_posts_url(get_the_author_ID());
			$waplString .= $wapl->link(array('cellClass' => 'author', 'prefix' => 'Written by: ', 'label' => get_the_author(), 'url' => $authorUrl));
		}
		
		$waplString .= $wapl->chunk('words', array('class' => 'post-date', 'quick_text' => apply_filters('the_time', get_the_time('F jS, Y'), 'F jS, Y')));
		
		if(get_option('architect_search_showtags'))
		{
			if(function_exists('get_the_terms'))
			{
				$tagString = 'Tags: ';
				$tags = get_the_terms(0, 'post_tag');
				if(!empty($tags))
				{
					foreach($tags as $val)
					{
						$link = get_term_link($val, 'post_tag');
						$tagString .= '[url='.$link.']'.$val->name.'[/url],';
					}
				}
				$tagString = rtrim($tagString, ',');
				
				$waplString .= $wapl->chunk('words', array('class' => 'postmetadata', 'quick_text' => $tagString));
			}
		}
		if(get_option('architect_search_showcategories'))
		{
			$catString = 'Posted in: ';
			if(function_exists('get_the_ID'))
			{
				$categories = get_the_category(get_the_ID());
			} else
			{
				global $id;
				$categories = get_the_category($id);
			}
			foreach($categories as $category)
			{
				if(isset($category->name))
				{
					$catString .= '[url='.get_category_link($category->term_id).']'.$category->name.'[/url],';
				} else if(isset($category->cat_name))
				{
					$catString .= '[url='.get_category_link($category->cat_ID).']'.$category->cat_name.'[/url],';
				}
			}
			$catString = rtrim($catString,',');
			
			$waplString .= $wapl->chunk('words', array('class' => 'postmetadata', 'quick_text' => $catString));
		}
	}
	
	$waplString .= $navString;
	
} else
{
	$waplString .= $wapl->chunk('words', array('display_as' => 'h2', 'quick_text' => 'No posts found. Try a different search?'));
	$waplString .= get_wapl_element('search_box');
}

$waplString .= get_wapl_footer();
process_wapl($waplString);
?>